<div class="container">
  <app-add-vehicule></app-add-vehicule>
  <br>
  <div class="container" *ngIf="book?.length > 0; else noItems">
    <h4>List of books</h4>
    <div>
      <div class="col-sm-12">
        <div class="panel panel-default">
          <div class="panel-body">
            <div class="col-sm-4">
              <label for="sort-field"><b>Sort By</b></label>
              <select name="sort-field" id="sort-field" class="form-control" [(ngModel)]="sortFieldBook">
                <option *ngFor="let field of sortFieldBook" [value]="field">
                  {{field}}</option>
              </select>
            </div>
            <label id="direction"><b>Sort Direction</b></label>
            <div id="order">
              <button class="btn btn-light-green btn-sm" id="ascBook" (click)="onAscBook()">Ascending</button>

              <button class="btn btn-mdb btn-sm" id="descBook" (click)="onDescBook()">Descending</button>
            </div>
          </div>
        </div>
      </div>
      <br>
      <h6>List of cars</h6>
      <div class="row">
        <div class="col-md-4" *ngFor="let book of books | sortBy:[sortFieldCar, sortDirectionCar]">
          <div class="card card-body" id="book_card">
            <h4 class="card-title">{{book.title}}</h4>
            <h6 class="card-title">Book</h6>
            <li class="card-text">{{ book.plateNumber }}</li>
            <li class="card-text">{{ book.seats }} seats</li>
            <li class="card-text" id="rent_list">{{ book.price | currency:"HU":"symbol"}} per day</li>
            <div class="row">
              <button class="btn btn-primary btn-sm" mdbRippleRadius (click)="onEditClickBook(book)">Edit</button>
              <button class="btn btn-danger btn-sm" mdbRippleRadius (click)="onDeleteClickBook(book.bookId)">Delete</button>
            </div>
          </div>
          <br>
        </div>
      </div>
    </div>
    <br>

    <div mdbModal #updateBookModal="mdb-modal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
      <div class="modal-dialog modal-md" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h4 class="modal-title w-100" id="myModalLabel">Edit Book</h4>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close" (click)="updateBookModal.hide()">
              <span aria-hidden="true">×</span>
            </button>
          </div>
          <div class="modal-body">
            <form (submit)="onSubmitBook()" #updateBookForm="ngForm">
              <div class="md-form">
                <input required minlength="5" maxlength="40" #title="ngModel" type="text" id="defaultForm-model" class="form-control"
                       mdbActive [ngModel]="book.title" name="model">
                <label [class.active]="book.title && book.title.length > 0" for="defaultForm-model">Model</label>
              </div>
              <div class="alert alert-danger" *ngIf="title.touched && !title.valid">
                <div *ngIf="title.errors.required">
                  The title is required.
                </div>
                <div *ngIf="title.errors.minlength">
                  The title should be at least 5 characters.
                </div>
              </div>

              <div class="md-form">
                <input required minlength="9" pattern="[A-Z0-9- ]*" #bookauthor="ngModel" type="text" id="defaultForm-plateNumber"
                       class="form-control" mdbActive [ngModel]="book.author" name="p_number">
                <label [class.active]="book.author && book.author.length > 0" for="defaultForm-plateNumber">Plate Number</label>
              </div>
              <div class="alert alert-danger" *ngIf="bookauthor.touched && !bookauthor.valid">
                <div *ngIf="bookauthor.errors.required">
                  The author is required.
                </div>
                <div *ngIf="bookauthor.errors.minlength && !bookauthor.errors.pattern">
                  The author should be at least 9 characters.
                </div>
                <div *ngIf="bookauthor.errors.pattern">
                  Invalid character detected.
                </div>
              </div>

              <div class="md-form">
                <input required #chategory="ngModel" type="number" min="2" max="10" id="defaultForm-seats" class="form-control" mdbActive [ngModel]="book.chategory"
                       name="seats">
                <label [class.active]="book.chategory && book.chategory.length !== null" for="defaultForm-seats">Seats</label>
              </div>
              <div class="alert alert-danger" *ngIf="chategory.touched && !chategory.valid">
                <div *ngIf="chategory.errors.required">
                  The chategory is required.
                </div>
              </div>

              <div class="md-form">
                <input required #price="ngModel" type="number" min="1" step="any" id="defaultForm-price" class="form-control" mdbActive
                       [ngModel]="book.price" name="price">
                <label [class.active]="book.price && book.price.length !== null" for="defaultForm-price">Price</label>
              </div>
              <div class="alert alert-danger" *ngIf="price.touched && !price.valid">
                <div *ngIf="price.errors.required">
                  The price is required.
                </div>
              </div>

              <div class="text-justify">
                <button class="btn btn-success" mdbRippleRadius [disabled]="!updateBookForm.valid">Add</button>
              </div>
            </form>
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-mdb btn-sm waves-light" data-dismiss="modal" (click)="updateBookModal.hide()" mdbRippleRadius>Close</button>
          </div>
        </div>
      </div>
    </div>

    <div mdbModal #deleteBookConf="mdb-modal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
      <div class="modal-dialog modal-md" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h4 class="modal-title w-100" id="myModalLabel">Delete</h4>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close" (click)="deleteBookConf.hide()">
              <span aria-hidden="true">×</span>
            </button>
          </div>
          <div class="modal-body">
            <p>Are you want to delete this book?</p>
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-danger btn-sm waves-light" data-dismiss="modal" (click)="onProceedBook()" mdbRippleRadius>OK</button>
            <button type="button" class="btn btn-mdb btn-sm waves-light" data-dismiss="modal" (click)="deleteBookrConf.hide()" mdbRippleRadius>Cancel</button>
          </div>
        </div>
      </div>
    </div>

    <div mdbModal #carBadInput="mdb-modal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
      <div class="modal-dialog modal-md" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h4 class="modal-title w-100" id="myModalLabel">Error</h4>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close" (click)="bookBadInput.hide()">
              <span aria-hidden="true">×</span>
            </button>
          </div>
          <div class="modal-body">
            <p>{{errorMessage}}</p>
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-danger btn-sm waves-light" data-dismiss="modal" (click)="bookBadInput.hide()" mdbRippleRadius>OK</button>
            <button type="button" class="btn btn-mdb btn-sm waves-light" data-dismiss="modal" (click)="bookBadInput.hide()" mdbRippleRadius>Cancel</button>
          </div>
        </div>
      </div>
    </div>

    <ng-template #noItems>
      <div class="container">
        <h4>Your vehicule list is empty.</h4>
      </div>
      <br>
    </ng-template>
  </div>
